/////////////////////////////////////// *** oscillo *** ///////////////////////////////////////
// **************************************** fonction millis
if (tempsactuel - tempsprecedent1 >= delaismouvementoscillo) {
  tempsprecedent1 = tempsactuel;
  // **************************************** oscillo 1
  if (pososcillo1 == angle1oscillo1){
    pososcillo1 +=1 ;
    oscillo1.write(pososcillo1);
    compteur1 = 0;
    } 
  else if (pososcillo1 == angle2oscillo1){
    pososcillo1 -=1 ;
    oscillo1.write(pososcillo1);
    compteur1 = 1; 
    }
  else if ((compteur1 == 0) && (pososcillo1 < angle2oscillo1)){
    pososcillo1 +=1 ;
    oscillo1.write(pososcillo1);
    } 
  else if ((compteur1 == 1) && (pososcillo1 > angle1oscillo1)){
    pososcillo1 -=1 ;
    oscillo1.write(pososcillo1);
    }
  // **************************************** oscillo 2
  if (pososcillo2 == angle1oscillo2){
    pososcillo2 +=1 ;
    oscillo2.write(pososcillo2);
    compteur2 = 0;
    } 
  else if (pososcillo2 == angle2oscillo2){
    pososcillo2 -=1 ;
    oscillo2.write(pososcillo2);
    compteur2 = 1; 
    }
  else if ((compteur2 == 0) && (pososcillo2 < angle2oscillo2)){
    pososcillo2 +=1 ;
    oscillo2.write(pososcillo2);
    } 
  else if ((compteur2 == 1) && (pososcillo2 > angle1oscillo2)){
    pososcillo2 -=1 ;
    oscillo2.write(pososcillo2);
    }
  
  // **************************************** oscillo 3 
  if (pososcillo3 == angle1oscillo3){
    pososcillo3 +=1 ;
    oscillo3.write(pososcillo3);
    compteur5 = 0;
    } 
  else if (pososcillo3 == angle2oscillo3){
    pososcillo3 -=1 ;
    oscillo3.write(pososcillo3);
    compteur5 = 1; 
    }
  else if ((compteur5 == 0) && (pososcillo3 < angle2oscillo3)){
    pososcillo3 +=1 ;
    oscillo3.write(pososcillo3);
    } 
  else if ((compteur5 == 1) && (pososcillo3 > angle1oscillo3)){
    pososcillo3 -=1 ;
    oscillo3.write(pososcillo3);
    }
  }
  
